// js 导入 模块式开发

import Vue from 'vue'
// 导入 App.vue
import App from './App.vue'
// import zujian from "./components/zujian.vue"
import VueRouter from "vue-router"
import index from "./pages/index.vue"
import ElementUI from 'element-ui';
import 'element-ui/lib/theme-chalk/index.css';


Vue.use(ElementUI);

// vuerouter 插件

Vue.use(VueRouter)
// 路径 => 页面(组件)
const routes = [
{
  path:"/nav",
  component:() => import("./pages/nav.vue"),
  children:[{
    path:"user",
    component: () => import("./pages/user.vue")
    // path:"/user",
    // component: () => import("./pages/user.vue")
    // 加了'/'就是绝对路径 后面不需要写父级路径 @click="$router.push('/user')"
    // 不加'/'就是相对路径 后面就需要写父级路径 @click="$router.push('/nav/user')
  },
  {
    path:"/",
    component: index
  },
  {
    path:"aaa",
    component: () => import("./components/aaa.vue")
  },
],
}
]

const router = new VueRouter({
  routes // (缩写) 相当于 routes: routes
})

// 这个函数在页面跳转的时候，自动被执行，这就是导航守卫
router.beforeEach((to,from,next) => {
  // to中的path显示的是当前的路径
  console.log(to)
  // from中的path显示的是跳转到当前路径的之前的路径
  console.log(from)
  console.log("这是导航守卫")
  // next控制页面的跳转
  // next()
  if(to.path != "/nav"){
    console.log("执行next")
    next()
  }else{
    alert("无法访问")
  }
})

new Vue({
  render: h => h(App),
  router
}).$mount('#aaa')
